
<mat-toolbar class="ble-title">
    <span style="margin-left: 15px"><h1 class="mat-h1">Equipments</h1></span>
</mat-toolbar>
<mat-tab-group [(selectedIndex)]="selectedIndex" class="ble-container">
    <mat-tab label="View">
        <div style=" padding: 30px" fxFlex="100%" fxLayout.xs="column" fxLayout="column" fxLayoutAlign="center center">
            <table mat-table class="full-width-table ble-table full-width-table-xs" matSort aria-label="Elements">
                <!--Id column-->
                <ng-container matColumnDef="expBlueprintId">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header>Id</th>
                    <td mat-cell *matCellDef="let row"><b>{{row.expBlueprintId}}</b></td>
                </ng-container>

                <!--name column-->
                <ng-container matColumnDef="name">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header>Name</th>
                    <td mat-cell *matCellDef="let row"><b>{{row.name}}</b></td>
                </ng-container>

                <!--version column-->
                <ng-container matColumnDef="version">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header>Version</th>
                    <td mat-cell *matCellDef="let row"><b>{{row.version}}</b></td>
                </ng-container>

                <ng-container matColumnDef="view">
                    <th mat-header-cell *matHeaderCellDef>View</th>
                    <td mat-cell *matCellDef="let row">
                      <span value="view_experiment" (click)="viewEquipment(row.expBlueprintId)"><i class="fa fa-eye fa-2x" aria-hidden="true"></i></span>
                    </td>
                    </ng-container>
                  
                    <ng-container matColumnDef="delete">
                        <th mat-header-cell *matHeaderCellDef>Delete</th>
                        <td mat-cell *matCellDef="let row">
                          <span value="delete_experiment" (click)="deleteEquipment(row.expBlueprintId)"><i class="fa fa-times-circle fa-2x" aria-hidden="true"></i></span>
                        </td>
                        </ng-container>
                        <ng-container matColumnDef="forcedelete">
                            <th mat-header-cell *matHeaderCellDef>Force delete</th>
                            <td mat-cell *matCellDef="let row">
                              <span value="forcedelete_experiment" (click)="forcedeleteEquipment(row.expBlueprintId)"><i class="fa fa-trash fa-2x" aria-hidden="true"></i></span>
                            </td>
                            </ng-container>
                  

                <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
                <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
            </table>
            <mat-paginator #paginator
            [length]="dataSource?.data.length"
            [pageIndex]="0"
            [pageSize]="50"
            [pageSizeOptions]="[25, 50, 100, 250]"
            class="ble-table">
        </mat-paginator>            
        </div>
    </mat-tab>
    <!-- <mat-tab label="Onboard">
       <div style="padding: 30px; ">
            <app-blueprints-e-stepper></app-blueprints-e-stepper>
        </div>
    </mat-tab>  -->
</mat-tab-group>